Index: uspace/srv/clipboard/clipboard.c
===================================================================
--- uspace/srv/clipboard/clipboard.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
+++ uspace/srv/clipboard/clipboard.c	(revision 63d46341182c752620dcc5a2233d205cee1075dd)
@@ -47,5 +47,5 @@
 static service_id_t svc_id;
 
-static void clip_put_data(cap_call_handle_t req_handle, ipc_call_t *request)
+static void clip_put_data(ipc_call_t *req)
 {
 	char *data;
@@ -53,5 +53,5 @@
 	size_t size;
 
-	switch (IPC_GET_ARG1(*request)) {
+	switch (IPC_GET_ARG1(*req)) {
 	case CLIPBOARD_TAG_NONE:
 		fibril_mutex_lock(&clip_mtx);
@@ -65,10 +65,10 @@
 
 		fibril_mutex_unlock(&clip_mtx);
-		async_answer_0(req_handle, EOK);
+		async_answer_0(req, EOK);
 		break;
 	case CLIPBOARD_TAG_DATA:
 		rc = async_data_write_accept((void **) &data, false, 0, 0, 0, &size);
 		if (rc != EOK) {
-			async_answer_0(req_handle, rc);
+			async_answer_0(req, rc);
 			break;
 		}
@@ -84,24 +84,24 @@
 
 		fibril_mutex_unlock(&clip_mtx);
-		async_answer_0(req_handle, EOK);
+		async_answer_0(req, EOK);
 		break;
 	default:
-		async_answer_0(req_handle, EINVAL);
-	}
-}
-
-static void clip_get_data(cap_call_handle_t req_handle, ipc_call_t *request)
+		async_answer_0(req, EINVAL);
+	}
+}
+
+static void clip_get_data(ipc_call_t *req)
 {
 	fibril_mutex_lock(&clip_mtx);
 
-	cap_call_handle_t chandle;
+	ipc_call_t call;
 	size_t size;
 
 	/* Check for clipboard data tag compatibility */
-	switch (IPC_GET_ARG1(*request)) {
+	switch (IPC_GET_ARG1(*req)) {
 	case CLIPBOARD_TAG_DATA:
-		if (!async_data_read_receive(&chandle, &size)) {
-			async_answer_0(chandle, EINVAL);
-			async_answer_0(req_handle, EINVAL);
+		if (!async_data_read_receive(&call, &size)) {
+			async_answer_0(&call, EINVAL);
+			async_answer_0(req, EINVAL);
 			break;
 		}
@@ -109,6 +109,6 @@
 		if (clip_tag != CLIPBOARD_TAG_DATA) {
 			/* So far we only understand binary data */
-			async_answer_0(chandle, EOVERFLOW);
-			async_answer_0(req_handle, EOVERFLOW);
+			async_answer_0(&call, EOVERFLOW);
+			async_answer_0(req, EOVERFLOW);
 			break;
 		}
@@ -116,16 +116,16 @@
 		if (clip_size != size) {
 			/* The client expects different size of data */
-			async_answer_0(chandle, EOVERFLOW);
-			async_answer_0(req_handle, EOVERFLOW);
-			break;
-		}
-
-		errno_t retval = async_data_read_finalize(chandle, clip_data, size);
+			async_answer_0(&call, EOVERFLOW);
+			async_answer_0(req, EOVERFLOW);
+			break;
+		}
+
+		errno_t retval = async_data_read_finalize(&call, clip_data, size);
 		if (retval != EOK) {
-			async_answer_0(req_handle, retval);
-			break;
-		}
-
-		async_answer_0(req_handle, EOK);
+			async_answer_0(req, retval);
+			break;
+		}
+
+		async_answer_0(req, EOK);
 		break;
 	default:
@@ -134,5 +134,5 @@
 		 * data from the clipbard
 		 */
-		async_answer_0(req_handle, EINVAL);
+		async_answer_0(req, EINVAL);
 		break;
 	}
@@ -141,5 +141,5 @@
 }
 
-static void clip_content(cap_call_handle_t req_handle, ipc_call_t *request)
+static void clip_content(ipc_call_t *req)
 {
 	fibril_mutex_lock(&clip_mtx);
@@ -149,16 +149,15 @@
 
 	fibril_mutex_unlock(&clip_mtx);
-	async_answer_2(req_handle, EOK, (sysarg_t) size, (sysarg_t) tag);
-}
-
-static void clip_connection(cap_call_handle_t icall_handle, ipc_call_t *icall,
-    void *arg)
+	async_answer_2(req, EOK, (sysarg_t) size, (sysarg_t) tag);
+}
+
+static void clip_connection(ipc_call_t *icall, void *arg)
 {
 	/* Accept connection */
-	async_answer_0(icall_handle, EOK);
+	async_answer_0(icall, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t chandle = async_get_call(&call);
+		async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -167,14 +166,14 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case CLIPBOARD_PUT_DATA:
-			clip_put_data(chandle, &call);
+			clip_put_data(&call);
 			break;
 		case CLIPBOARD_GET_DATA:
-			clip_get_data(chandle, &call);
+			clip_get_data(&call);
 			break;
 		case CLIPBOARD_CONTENT:
-			clip_content(chandle, &call);
+			clip_content(&call);
 			break;
 		default:
-			async_answer_0(chandle, ENOENT);
+			async_answer_0(&call, ENOENT);
 		}
 	}
